Bug 1144543 - [Build 20190805] Migration from SFW2 to firewalld: disabled
[Build 20190805] Migration from SFW2 to firewalld: disabled
Status: NEW
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Upgrade Problems
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Michał Rostecki
Jiri Srain
https://openqa.opensuse.org/tests/999...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-06 16:25 UTC by Dominique Leuenberger
Modified: 2022-05-17 02:04 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2019-08-06 16:25:54 UTC
## Observation

openQA test in scenario opensuse-Tumbleweed-NET-x86_64-zdup-Leap-42.1-kde@64bit_cirrus fails in
[firewall_enabled](https://openqa.opensuse.org/tests/999730/modules/firewall_enabled/steps/3)

## Test suite description



## Reproducible

Fails since (at least) Build [20190731](https://openqa.opensuse.org/tests/997118)


## Expected result

Last good: [20190730](https://openqa.opensuse.org/tests/996173) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?arch=x86_64&distri=opensuse&flavor=NET&machine=64bit_cirrus&test=zdup-Leap-42.1-kde&version=Tumbleweed)


This issue happens while upgrading from openSUSE Leap 42.x to TW;
Leap 42.x was using SWF2 - which is now removed from TW. The firewall is thus being uninstalled - and according to the patters, firewalld being installed.

But this results in 'no firewall running' in the end - which is not exactly a good thing
Comment 1 Oliver Kurz 2019-08-13 14:20:27 UTC
well, what can you do? We have discussed this problem already many times in more than one bug report. Enabling a not configured firewall is also not necessarily a good thing as this would mean shutting off external access, e.g. ssh from a remote server. The "solution" in the past occurences was to add SuSEfirewall2 back and delay thinking about the real problem. I wonder how often people want to repeat that ;)
Comment 2 Dominique Leuenberger 2019-08-15 14:30:22 UTC
Latest for SLE16 we will have to come up with a migration scenario - so by that time we should be 'done thinking'

As for openQA: probably best to set it as 'softfail' in firewall_enabled when upgrading from something older than 15.x
Comment 3 Dominique Leuenberger 2019-08-19 13:08:29 UTC
Flag the bug in openQA as soft fail:
https://github.com/os-autoinst/os-autoinst-distri-opensuse/pull/8233
Comment 32 openQA Review 2021-04-23 05:16:59 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.2_kde
https://openqa.opensuse.org/tests/1709148

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 33 openQA Review 2021-05-13 05:17:27 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.3_kde
https://openqa.opensuse.org/tests/1736313

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 34 openQA Review 2021-05-27 05:18:50 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.2_kde
https://openqa.opensuse.org/tests/1757154

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 35 openQA Review 2021-06-15 05:18:29 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.2_kde
https://openqa.opensuse.org/tests/1786021

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 36 Oliver Kurz 2021-06-29 06:24:13 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.3_kde
https://openqa.opensuse.org/tests/1809956

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 37 openQA Review 2021-07-14 00:21:47 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.2_kde
https://openqa.opensuse.org/tests/1836759

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 38 openQA Review 2021-07-29 01:25:38 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.2_kde
https://openqa.opensuse.org/tests/1859478

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 39 openQA Review 2021-08-12 08:56:35 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.2_kde
https://openqa.opensuse.org/tests/1873433

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 40 openQA Review 2021-08-26 23:57:55 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.1_gnome
https://openqa.opensuse.org/tests/1887006

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 41 openQA Review 2021-09-10 00:48:32 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.2_kde
https://openqa.opensuse.org/tests/1909888

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 42 openQA Review 2021-09-24 23:59:31 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.2_kde
https://openqa.opensuse.org/tests/1934292

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 43 openQA Review 2021-10-09 02:51:31 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.1_gnome
https://openqa.opensuse.org/tests/1959306

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 44 openQA Review 2021-10-24 00:37:27 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.1_gnome
https://openqa.opensuse.org/tests/1985965

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 45 openQA Review 2021-11-12 02:36:56 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.1_gnome
https://openqa.opensuse.org/tests/2029812

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 46 openQA Review 2021-11-27 00:00:57 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.1_gnome
https://openqa.opensuse.org/tests/2057794

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 47 openQA Review 2021-12-11 01:46:45 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.1_gnome
https://openqa.opensuse.org/tests/2079145

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 48 openQA Review 2021-12-25 23:58:57 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.1_gnome
https://openqa.opensuse.org/tests/2103881

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 49 openQA Review 2022-01-08 23:59:21 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.1_gnome
https://openqa.opensuse.org/tests/2125645

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 50 openQA Review 2022-01-24 12:32:23 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.1_gnome
https://openqa.opensuse.org/tests/2150758

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 51 openQA Review 2022-02-07 23:59:04 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.2_gnome
https://openqa.opensuse.org/tests/2177036

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 52 openQA Review 2022-02-21 23:59:34 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.1_gnome
https://openqa.opensuse.org/tests/2200054

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 53 openQA Review 2022-03-22 00:17:16 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.1_gnome
https://openqa.opensuse.org/tests/2256511

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`

Expect the next reminder at the earliest in 56 days if nothing changes in this ticket.
Comment 54 openQA Review 2022-05-17 02:04:31 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.1_gnome
https://openqa.opensuse.org/tests/2349934

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`

Expect the next reminder at the earliest in 112 days if nothing changes in this ticket.